package org.jcon.param.tree;

/**
 * Represents a key value pair, such as "Name is: Martha".
 *
 * @author Jack Harich
 */
public class Attribute extends DatumLeaf {


//---------- Abstract Implementation ---------------------
//----- From Datum
// The text to be displayed in the tree
public String toString() {
//print(".toString() - " + myName);
    return myName + " is: " + myValue;
}
public void performCommand(DatumCommand command) {
    print(".performCommand() not yet implemented");
}
//---------- Private Methods -----------------------------
//--- Std
private static void print(String text) {
    System.out.println("Attribute" + text);
}

} // End class
